﻿using System;
using System.Text;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            StringBuilder stringBuilder = new StringBuilder();
            
            for(int i = 0; i < 1000; i++)
            {
                stringBuilder.AppendLine("abcdefghijklmnopqrstuvwxyz");
            }

            string source = stringBuilder.ToString();

            Console.WriteLine("소스 문자열 : " + source.Length.ToString());

            string target = StringCompressionHelper.Compress(stringBuilder.ToString());

            Console.WriteLine("압축 문자열 : " + target.Length.ToString());

            string restore = StringCompressionHelper.Decompress(target);

            Console.WriteLine("복원 문자열 : " + restore.Length.ToString());
        }

        #endregion
    }
}